Якщо Ви уже знайомі із масивами із інших мов програмування - вам не складно буде їх зрозуміти у bash.

Масиви у bash — це змінні, які дозволяють зберfгати в собі декілька значень. У bash нумерація елементів масиву починаєтсья із 0.

Коли ми працюємо із масивами, потрібно пам’ятати про спеціальну змінну оточення `IFS`. **IFS** або **Input Field Separator** — це символ який розділяє елементи в масиві. За замовчуванням це пробіл `IFS=' '`.

### Оголошення масиву

У bash масив створюється звичайним присвоєнням значення до певного індексу:

```bash
fruits[0]=Apple
fruits[1]=Pear
fruits[2]=Plum
echo ${fruits[*]} # echo ${fruits[@]} парцює також
```

Ще один спосіб створення масиву у bash:

```bash
fruits=(Apple Pear Plum)
```

### Зріз масиву

Також Ви можете отримати частину масиву використовуючи оператор _slice_:

```bash
echo ${fruits[*]:0:2} # Apple Pear
echo ${@:1:2} # зріз позиційних аргументів
```

У прикладі вище, `fruits[*]` повертає усі елементи масиву, а `:0:2` витягує 2 елементи масиву починаючи із 0.

### Додавання елементів у масив

Додати елемент у масив також дуже просто. Поєднання із присвоєнням зручно використати наступним чином:

```bash
fruits=(Orange ${fruits[*]} Banana Cherry)
echo ${fruits[*]} # Orange Apple Pear Plum Banana Cherry
```

У прикладі вище, `fruits[*]` повертає усі елементи масиву і компонує їх із новими, після цього присвоює у масив `fruits` новий список елементів.

### Видалення елементів масиву

Для видалення елементу масиву потрібно використовувати команду `unset`:

```bash
unset fruits[0]
echo ${fruits[*]} # Apple Pear Plum Banana Cherry
```

## ЗАВДАННЯ

Створіть новий файл `arrays.bash`.

Через позиційні параметри у скрипт буде передано декілька значень. Як ви уже знаєте, усі параметри, які передаютсья у скрипт, зберігаються у `$*` та `$@` змінних. Ці змінні - ніщо інше як масиви.

Ви повинні виділити із цього масиву значення від другого до третього (2 значення), після цього, збережіть їх до нового масиву. Додайте в початок нового масиву два нових значення `I` та `am`. Додайте в кінець нового масиву 2 нових значення: `and` та четвертий позиційний аргумент.

Виведіть всі елементи масиву.

Наприклад, якщо ви запустите скрипт із цими аругументами:

    ./arrays.bash awesome cool strong cute awesome

Скрипт повинен вивести:

    I am cool strong and cute

---
