Якщо ви зіткнулися з розгалуженням з різною кількістю можливих дій, то використання умовного оператору `case` буде більш зручним, ніж ви використання вкладених `if` умов. Приклад використання `case`:

```bash
case "$FRUIT" in
  (apple)
    echo 'Ммммм... Я люблю яблука!'
    ;;
  (banana)
    echo 'Хм, воно якесь криве, ні?'
    ;;
  (orange|tangerine)
    echo "Я не їм таке!" && exit 1
  ;;
  (*)
    echo "Невідомий фрукт - він не токсичний?"
  ;;
esac
```

Кожне розгалуження `case` є виразом, який перевіряє співпадіння по шаблону. Оператор `|` використовується для розділення множинного шаблону (для декількох варіантів), а `)` завершує кожен шаблон. Команда для першого збігу по шаблону буде виконана. Якщо жодний шаблон не підійшов, то виконається команда за замовчуванням, шаблоном для неї є `*`. Блоки команд повинні розділятися опертором `;;`.

## ЗАВДАННЯ

Створіть файл `case.bash`.

В цьому завднні ви повінні створити маленький скрипт, що перевірятиме формати зображень. Використовуючи `case`, перевірте перший аргумент: для `jpeg` (або `jpg`), `png`, `gif` розширень виведіть `It is jpeg.`, `It is png.` чи `It is gif.` відповідно, а для решти розширень виведіть `[EXT] is not an image!`.

Приклад:

    ./case.bash png
    ./case.bash js
    ./case.bash jpg

Результат:

    It is png.
    js is not an image!
    It is jpeg.

---
