# Чудово!

Ви можете використовувати функції для створення власних команд в терміналі. Щоб зробити це, просто визначте функцію десь у вашому `~/.bashrc` файлі (`~/.bash_profile`, `~/.zshrc` для Zsh, і тд.). Наприклад:

```bash
# ...
# інші ~/.bashrc налаштування
# ...

# Створити директорію і перейти в неї
md() {
  mkdir -p $1 && cd $1
}
```

Після цього, оновіть налаштування за допомогою `. ~/.bashrc` і використовувайте цю команду, як будь-яку іншу:

    ~ $ md Projects
    ~/Projects $

## Аліаси

До речі, іноді часто необхідно вводити довгу послідовність команд, щоб щось зробити. Якщо ви часто робите це, ви можете визначити `alias` (псевдонім). Псевдонім по суті, схожий на клавіатурне скорочення.

Наприклад, якщо ви часто вводите команду `ls -alF`, просто оголосіть псевдонім в `~/.bashrc` файлі:

```bash
# ...
# інші ~/.bashrc налаштування
# ...

alias ll='ls -alF'
```

Після цього, оновіть налаштування за допомогою `. ~/.bashrc` і використовуйте команду `ll` замість довгої `ls -alF`.

Тепер у вас є хороші базові знання в Bash. У наступній вправі ми розглянемо налагоджування bash–скриптів.
