Тепер ви знаєте як оголошувати локальні змінні і змінні середовища. Але що робити, якщо потрібно отримати парамети ззовні? Для цих цілей можна використовувати позиційні параметри.

**Позиційні параметри** – це змінні, які створюються та отримуються, коли функція виконується позиційно. У цій таблиці наведено позиційні та інші спеціальні змінні та їх значення.

| Параметр       | Опис                                                        |
| :------------- | :---------------------------------------------------------- |
| `$0`           | Назва скрипта.                                              |
| `$1 … $9`      | Перелік параметрів від 1 до 9.                              |
| `${10} … ${N}` | Перелік параметрів від 10 до N.                             |
| `$*` or `$@`   | Усі позиційні параметри за виключенням `$0`.                |
| `$#`           | Кількість позиційних параметрів за виключенням `$0`.        |
| `$FUNCNAME`    | Назва функції (має значення тільки всередині функції).      |

В прикладі нижче, позиційні параметри будуть `$0='./script.sh'`,  `$1='foo'` та `$2='bar'`:

    ./script.sh foo bar

### Значення за замовчуванням

Змінні можуть мати значення за _замовчуванням_. Ми можемо визначати їх використовуючи наступний синтаксис:

```bash
# Призначити змінній FOO значння 'default', якщо вона пуста
FOO=${FOO:-'default'}
```

Значення за замовчуванням стануть у нагоді, коли треба обробляти позиційні параметри, які можна пропустити.

## ЗАВДАННЯ

Створіть файл з `parameters.bash`.

Ваша програма повинна вивести тільки _перший_, _третій_ та _п'ятий_ позиційні параметри, які будуть передані у ваш скрипт. Перед кожним параметром повинен бути його порядковий номер розділений зі значенням параметру символом `:`. Кожен параметр повинен бути виведений в новому рядку.

Наприклад, якщо ви запустите скрипт так:

    ./parameters.bash one two three four five six seven

Вивід повинен виглядати наступним чином:

    1: one
    3: three
    5: five

Не передавайте жодного параметру до свого розв’язку коли намагаєтеся верифікувати або запустити скрипт через `learnyoubash`! Вони підставляться автоматично.

---
