_Expansions (підстановки)_ — це механізм для роботи із арифметичними обчисленнями, для збереження результатів виконання команд і т.д.

Ви можете більш детально прочитати [про shell expansions](https://www.gnu.org/software/bash/manual/bash.html#Shell-Expansions).

### Розкриття дужок

Розкриття дужок (brace expansion) дозволяє нам генерувати довільні рядки. Схоже на _filename expansion_. Наприклад:

```bash
echo beg{i,a,u}n # begin began begun
```

Також розкриття дужок може використовуватися для створення діапазонів, як от ітерації у циклах.

```bash
echo {0..5} # 0 1 2 3 4 5
echo {00..8..2} # 00 02 04 06 08
```

### Підстановка команд

Підстановка команд дозволяє нам виконувати команду, а після того підставляти значення, яке вона повернула, у іншу команду чи змінну. Підстановка команд виконується коли команда оточена у ``` `` ``` або `$()`.  Наприклад:

```bash
now=`date +%T`
# або
now=$(date +%T)

echo $now # 19:08:26
```

### Арифметичні підстановки

У Bash ми можемо виконувати будь-які елементарні арифметичні операції. Але вирази мають бути всередині `$(( ))`. Наприклад:

```bash
result=$(( ((10 + 5*3) - 7) / 2 ))
echo $result # 9
```

## ЗАВДАННЯ

Створіть файл із назвою `expansions.bash`.

Ваш скрипт повинен перемножити перший позиційний аргумент на суму другого та третього використовуючи арифметичні підстановки. Зберегти результат у змінну, наприклад `$RESULT`.

Потім, використовуючи розкриття дужок, відтворити наступну файлову структуру:

```
project-<RESULT>
├── dest
│   ├── index.js
│   └── util.js
├── src
│   ├── index.js
│   └── util.js
└── test
    ├── index.js
    └── util.js
```

Не створюйте директорій! Просто виведіть результат використовуючи команду `echo`. Наприклад:

    ./expansions.bash 1 5 6

Результат:

    project-11/src/index.js
    project-11/src/util.js
    project-11/dest/index.js
    project-11/dest/util.js
    project-11/test/index.js
    project-11/test/util.js

---
