Як і у більшості мов програмування, ви також можете створювати змінні у Bash.

У Bash немає типізації. Змінні можуть містити лише цифри та рядки із одним, або більше символів. Існує три типи змінних які можна створити: локальні змінні, змінні оточення та _позиційні аргументи_.

### Локальні змінні

**Локальні змінні** – це змінні, які існують лише в одному скрипті. Вони не доступні для інших програм чи скриптів. Локальна змінна може бути оголошена за допомогою `=` (**не повинно** бути пробілів між іменем змінної, `=` та значенням), а значення змінної може бути отримане використовуючи `$`. Для прикладу:

```bash
foo="value"  # оголошення змінної
echo $foo    # вивід значення змінної
unset foo    # видалення змінної
```

Змінні можуть використовуватися в середині рядків. Але в такому випадку потрібно знати відмінності між одинарними та подвійними лапками. В середині подвійних лапок назва змінної заміняється на її значення, а в середині одинарних - ні. Для прикладу:

```bash
NAME="Denys"
echo "My name is $NAME" #> My name is Denys
echo 'My name is $NAME' #> My name is $NAME
```

### Змінні оточення

Інколи потрібно створити змінну яка буде доступна ззовні поточної shell–сесії, для інших програм чи скриптів. Такі змінні називаються **змінними оточення**. Вони створюються таким же чином, як і локальні змінні, але додатково використовуютсья ключове слово `export` попереду.

```bash
export GLOBAL_VAR="Я глобальна змінна"
```

Існує _велика кількість_ глобальних змінних у Bash. Ви будете зустрічати їх доволі часто, а поки зверніть увагу на список найбільш поширених змінних:

| Змінна       | Опис                                                          |
| :----------- | :------------------------------------------------------------ |
| `$HOME`      | Домашна директорія поточного користувача.                     |
| `$USER`      | Поточний користувач.                                          |
| `$PATH`      | Список директорії, у яких bash шукатиме команди.              |
| `$PWD`       | Поточна робоча директорія.                                    |
| `$RANDOM`    | Випадкове число від 0 до 32767.                               |
| `$UID`       | ID поточного користувача.                                     |
| `$PS1`       | Основний рядок запрошення.                                    |
| `$PS2`       | Додатковий рядок запрошення.                                  |

Повний список змінних оточення можна знайти за посиланням нижче::

<http://tldp.org/LDP/Bash-Beginners-Guide/html/sect_03_02.html#sect_03_02_04>

## ЗАВДАННЯ

Створіть файл із назвою `variables.bash` (використовуючи `touch`).

Програма повинна вивести поточне ім’я користувача та назву директорії у наступному форматі:

    User <username> in directory <directory>.

---
